Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class ELNode.Visitor

    java.lang.Object
      org.apache.jasper.compiler.ELNode.Visitor

Enclosing class:
  org.apache.jasper.compiler.ELNode

public static class ELNode.Visitor
extends java.lang.Object

Constructor Summary
`ELNode.Visitor()`

Method Summary
`void` | `visit(ELNode.ELText n)`
`void` | `visit(ELNode.Function n)`
`void` | `visit(ELNode.Root n)`
`void` | `visit(ELNode.Text n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELNode.Visitor

    public ELNode.Visitor()

Method Detail

### visit

    public void visit(ELNode.Root n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(ELNode.Function n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(ELNode.Text n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(ELNode.ELText n)
               throws JasperException

  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.